Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.xkms.xkrss
Class Authentication

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.xkms.xkrss.Authentication`

public class Authentication
extends oracle.security.xmlsec.util.XMLElement

The XKMS `Authentication` element for use with requests and responses.

Field Summary

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`Authentication(org.w3c.dom.Document owner)` Creates a new `Authentication` instance.
`Authentication(org.w3c.dom.Document owner, java.lang.String systemId)` Creates a new `Authentication` instance.
`Authentication(org.w3c.dom.Element element)` Creates a new `Authentication` instance from the given Element node.

Method Summary
`oracle.security.xmlsec.dsig.XSSignature` | `getKeyBindingAuthentication()` Returns the value of the `KeyBindingAuthentication` for this `Authentication` element or `null` if none is present.
`java.lang.String` | `getNotBoundAuthenticationProtocol()` Returns the `setNotBoundAuthentication` Protocol attribute.
`byte[]` | `getNotBoundAuthenticationValue()` Returns the `setNotBoundAuthentication` Value attribute.
`void` | `setKeyBindingAuthentication(oracle.security.xmlsec.dsig.XSSignature signature)` Sets the `KeyBindingAuthentication` element for this `Authentication`.
`void` | `setNotBoundAuthentication(java.lang.String protocol, byte[] value)` Set the `setNotBoundAuthentication` Element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Authentication

    public Authentication(org.w3c.dom.Element element)
                   throws org.w3c.dom.DOMException

  Creates a new `Authentication` instance from the given Element node.
Parameters:
  `element` - An Element node in the XML document that conforms to the XKMS Authentication schema.
Throws:
  `org.w3c.dom.DOMException`

### Authentication

    public Authentication(org.w3c.dom.Document owner)
                   throws org.w3c.dom.DOMException

  Creates a new `Authentication` instance.
Parameters:
  `owner` - The owner document of the new `Authentication`.
Throws:
  `org.w3c.dom.DOMException`

### Authentication

    public Authentication(org.w3c.dom.Document owner,
                          java.lang.String systemId)
                   throws org.w3c.dom.DOMException

  Creates a new `Authentication` instance.
Parameters:
  `owner` - The owner document of the new `Authentication`.
  `systemId` - The URI string system ID for the `Message`..
Throws:
  `org.w3c.dom.DOMException`

Method Detail

### setKeyBindingAuthentication

    public void setKeyBindingAuthentication(oracle.security.xmlsec.dsig.XSSignature signature)
                                     throws org.w3c.dom.DOMException

  Sets the `KeyBindingAuthentication` element for this `Authentication`.
  Parameters:
    `signature` - A `dsig:Signature` value.
  Throws:
    `org.w3c.dom.DOMException`

### getKeyBindingAuthentication

    public oracle.security.xmlsec.dsig.XSSignature getKeyBindingAuthentication()

  Returns the value of the `KeyBindingAuthentication` for this `Authentication` element or `null` if none is present.
  Returns:
    An `XSSignature` value.

### setNotBoundAuthentication

    public void setNotBoundAuthentication(java.lang.String protocol,
                                          byte[] value)
                                   throws org.w3c.dom.DOMException

  Set the `setNotBoundAuthentication` Element.
  Parameters:
    `protocol` - A URI string that specifies the authentication protocol.
    `value` - A binary value corresponding to the specified authentication protocol. Base-64 encoding of the bytes is performed prior to setting the attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getNotBoundAuthenticationProtocol

    public java.lang.String getNotBoundAuthenticationProtocol()

  Returns the `setNotBoundAuthentication` Protocol attribute.
  Returns:
    The `NotBoundAuthentication` Protocol attribute value URI.

### getNotBoundAuthenticationValue

    public byte[] getNotBoundAuthenticationValue()

  Returns the `setNotBoundAuthentication` Value attribute.
  Returns:
    The `setNotBoundAuthentication` Value attribute value after base-64 decoding.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XKMS Java API Reference 10g Release 3 (10.1.3) B25625-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.